Package logilab :: Package common :: Module xmlutils

[frames] | no frames]

# Module xmlutils

source code

    XML utilities.

    This module contains useful functions for parsing and using XML data. For the
    moment, there is only one function that can parse the data inside a processing
    instruction and return a Python dictionary.

Functions

parse_pi_data(pi_data) Utility function that parses the data contained in an XML processing instruction and returns a dictionary of keywords and their associated values (most of the time, the processing instructions contain data like ``keyword="value"``, if a keyword is not associated to a value, for example ``keyword``, it will be associated to ``None``). | source code

Variables
| RE_DOUBLE_QUOTE = `re.compile('([\w\-\.]+)="([^"]+)"')`
| RE_SIMPLE_QUOTE = `re.compile("([\w\-\.]+)='([^']+)'")`

Function Details

### parse_pi_data(pi_data)

source code

    Utility function that parses the data contained in an XML
    processing instruction and returns a dictionary of keywords and their
    associated values (most of the time, the processing instructions contain
    data like ``keyword="value"``, if a keyword is not associated to a value,
    for example ``keyword``, it will be associated to ``None``).

    :param pi_data: data contained in an XML processing instruction.
    :type pi_data: unicode

    :returns: Dictionary of the keywords (Unicode strings) associated to
              their values (Unicode strings) as they were defined in the
              data.
    :rtype: dict